automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

pkgdatadir can be overridden


From: Ralf Wildenhues
Subject: pkgdatadir can be overridden
Date: Tue, 21 Nov 2006 20:05:49 +0100
User-agent: Mutt/1.5.13 (2006-08-11)

OK to apply?  I verified that Automake 1.6.3 fails this test,
but I didn't bother to track down the change that fixed it.

Cheers,
Ralf

2006-11-21  Ralf Wildenhues  <address@hidden>

        * TODO: Kill a couple of outdated items.
        * tests/exdir3.test: New test.
        * tests/Makefile.am: Update.

Index: TODO
===================================================================
RCS file: /cvs/automake/automake/TODO,v
retrieving revision 1.424
diff -u -r1.424 TODO
--- TODO        14 May 2005 20:28:50 -0000      1.424
+++ TODO        19 Nov 2006 16:32:17 -0000
@@ -4,10 +4,6 @@
 also defined conditionally).  Likewise, installdirs should not
 create %DIR% in conditions were no %DIR%_%PRIMARY% is enabled.
 
-we can't seem to AC_SUBST(pkgdatadir)
-the version from header-vars overrides
-why is that?
-
 check should depend on all
   from ben elliston
 
@@ -123,8 +119,6 @@
 * per-exe flags
 ** LIBOBJS shouldn't be used when there are per-exe flags (?)
 
-* Support subdir-objects with fortran
-
 * Allow creation of Java .zip/.jar files in natural way
   If you are building a compiled Java library, then the .zip/.jar
   ought to be made automatically.
@@ -220,7 +214,7 @@
 
 * clean up source directory by moving stuff into subdirs
 
-* consider adding pkglibexecdir, maybe others?
+* consider adding other variables similar to pkglibexecdir?
   requests for pkg-dirs with version included
 
 Avoid loops when installing; instead unroll them in automake
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.617
diff -u -r1.617 Makefile.am
--- tests/Makefile.am   16 Oct 2006 05:24:17 -0000      1.617
+++ tests/Makefile.am   19 Nov 2006 15:56:26 -0000
@@ -227,6 +229,7 @@
 empty4.test \
 exdir.test \
 exdir2.test \
+exdir3.test \
 exeext.test \
 exeext2.test \
 exeext3.test \
--- /dev/null   2006-05-22 13:44:12.000000000 +0200
+++ tests/exdir3.test   2006-11-19 16:54:24.000000000 +0100
@@ -0,0 +1,41 @@
+#! /bin/sh
+# Copyright (C) 2006  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# Test to make sure pkgdatadir can be overridden via AC_SUBST.
+
+. ./defs || exit 1
+
+set -e
+
+cat >>configure.in <<'EOF'
+AC_SUBST([pkgdatadir], ["FOO"])
+AC_OUTPUT
+EOF
+
+cat > Makefile.am << 'EOF'
+showme:
+       @echo $(pkgdatadir)
+EOF
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+./configure
+$MAKE showme | grep FOO




reply via email to

[Prev in Thread] Current Thread [Next in Thread]